#This number is the sequence number on intevation.org to download a file
%global         tar_download 2397
#%global         tar_version 1.4.5


Name:           openvas-cli
Version:        1.4.5
Release:        6%{?dist}
Summary:        Command-line tool to drive OpenVAS Manager

Group:          Applications/System
License:        GPLv2+
URL:            http://www.openvas.org
Source0:        http://wald.intevation.org/frs/download.php/%{tar_download}/%{name}-%{version}.tar.gz
#Source0:        http://wald.intevation.org/frs/download.php/%{tar_download}/%{name}-%{tar_version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openvas-libraries-devel >= 4.0.0
BuildRequires:  cmake >= 2.6.0
BuildRequires:  glib2-devel
BuildRequires:  gnutls-devel
BuildRequires:  gpgme-devel
BuildRequires:  doxygen
BuildRequires:  pkgconfig


%description
OpenVAS CLI contains the command line tool "omp" which allows to create batch
processes to drive OpenVAS Manager.


%prep
%setup -q
#%setup -q -n %{name}-%{tar_version}


%build
%cmake
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog CHANGES COPYING README
%{_bindir}/omp
%{_bindir}/check_omp
%{_bindir}/omp-dialog
%{_mandir}/man8/omp.8*
%{_mandir}/man8/check_omp.8.gz
%{_mandir}/man8/omp-dialog.8.gz


%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 05 2017 Michal Ambroz <rebus at, seznam.cz> - 1.4.5-3
- rebuild with OpenVAS-9


* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Nov 13 2016 Michal Ambroz <rebus at, seznam.cz> - 1.4.5-1
- bump to OpenVAS-8 openvas-cli version 1.4.5

* Fri Apr 29 2016 Michal Ambroz <rebus at, seznam.cz> - 1.4.4-1
- bump to OpenVAS-8 openvas-cli version 1.4.4

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jul 15 2015 Michal Ambroz <rebus at, seznam.cz> - 1.4.2-1
- bump to OpenVAS-8 openvas-cli version 1.4.2

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 29 2015 Michal Ambroz <rebus at, seznam.cz> - 1.4.1-1
- bump to OpenVAS-8 openvas-cli version 1.4.1

* Sat May 23 2015 Michal Ambroz <rebus at, seznam.cz> - 1.4.0-1
- bump to OpenVAS-8 openvas-cli version 1.4.0

* Tue Nov 4 2014 Michal Ambroz <rebus at, seznam.cz> - 1.3.1-1
- bump to OpenVAS7 openvas-cli version 1.3.1

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 1 2014 Michal Ambroz <rebus at, seznam.cz> - 1.3.0-1
- bump to OpenVAS7 openvas-cli version 1.3.0

* Sun Mar 17 2013 Michal Ambroz <rebus at, seznam.cz> - 1.2-1.beta2
- bump to OpenVAS 6 openvas-cli version 1.2 beta2

* Fri Nov 16 2012 Michal Ambroz <rebus at, seznam.cz> - 1.1.5-1
- bump to bugfix version 1.1.5

* Tue Jan 24 2012 Michal Ambroz <rebus at, seznam.cz> - 1.1.4-1
- bump to bugfix version 1.1.4

* Thu Mar 31 2011 Michal Ambroz <rebus at, seznam.cz> - 1.1.2-1
- initial spec for openvas-cli
